<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Web app for PROMENAID Lego experiment</title>
    <style>
        .block {
          display: block;
          width: 100%;
          border: none;
          background-color: dodgerblue;
          color: white;
          padding: 14px 28px;
          font-size: 30px;
          cursor: pointer;
          text-align: center;
        }
        html{
            overflow : hidden;
            overscroll-behavior: none;
        }
    </style>
</head>
<body>

<!--    <script src="{{url_for('static',filename='jquery-3.6.0.min.js')}}" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>-->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.3/jquery.min.js"></script>

<!-- h1>Hello World!</h1 -->
<center id ="output"></center>
    <button id="target" type="button" class="block"> SHOW NEW MODEL </button>
    <button id="cancel" type="button"> Hide Image </button>
    <button id="call" type="button"> Call the Robot </button>
    <button id="deliver" type="button" class="block"> MODEL COMPLETE </button>



<script type="text/javascript">

    interval = {}
    $('#deliver').hide()
    $('#target').show()
    $('#cancel').hide()
    $('#deliver').hide()
    $('#call').hide()

    function checkFlag(){
        $.get("/check" , function(data){
            if (data == "True"){
                window.clearInterval(interval)
                $("#output").html("")
                $('#deliver').show()
                $('#target').hide()
                $('#cancel').hide()
                $('#call').hide()
            } 
        });
    }

    function checkFlag_update(){
        $.get("/check" , function(data){
            if (data == "True"){
                window.clearInterval(interval)
                $("#output").html("")
                $('#deliver').hide()
                $('#target').show()
                $('#cancel').hide()
                $('#call').hide()
            } 
        });
    }


    function vanish_app(){
        $("#output").html("Bye!")
    }

     function update(){
        isconfirm = false
        //check if the server wants confirmation
        $.get("/confirm" , function(data){
            isconfirm = (data == 'True')
        
    
        ans = true

        $.get("/update", function(data){
            if (isconfirm)
            {
                ans = confirm("The image wil be displayed only once and for a limited amount of time.")
            }
                
            if (ans == true){
            $("#output").html(data["html"])
            if (data["html"].includes("Congratulations")){
                $('#cancel').hide()
                //close the window after few seconds
                delay = window.setTimeout(vanish_app, 3500);
                $('#target').hide()
                $('#deliver').hide()
                $('#call').hide()

            }
            else {
                $('#cancel').hide()
                $('#target').hide()
                interval = setTimeout(reset_image, data["pieces"] * 2000);
            }
        }
        });
    });
    }

    function reset_image(){
        $("#output").html("")
        $('#target').hide()
        $('#cancel').hide()
        $('#deliver').show()
        $('#call').hide()
    }

    function call_robot(){
        $.get("/call" , function(data){
            $("#output").html(data)
            interval = window.setInterval(checkFlag, 500);
            $('#target').hide()
            $('#cancel').hide()
            $('#call').hide()
            $('#deliver').hide()
        });
    }


    function delivered_model(){

        //ask for confirmation before sending request to server
        //ans = confirm("Are you sure you want to pass to the next model?")
        if (ans == true){
        $.get("/deliver" , function(data){
            $("#output").html(data)
            $('#target').show()
            $('#cancel').hide()
            $('#call').hide()
            $('#deliver').hide()
            //interval = window.setInterval(checkFlag_update, 500);
        });}
    }



    $("#target").click(function(){
        update()
        //setTimeout(reset_image, 10000);
    });

    $("#cancel").click(function(){
        reset_image();
    });

    $("#call").click(function(){
        call_robot()
        //setTimeout(reset_image, 10000);
    });

    $("#deliver").click(function(){
        delivered_model();
    });


</script>

</body>
</html>
